Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: AMD/ATi драйвера и обновления ядра  (Прочитано 8784 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн kirich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Здравствуйте, форумчане.
Достаточно недавно поставил видеокарту RadeOn HD 3870 да и Ubuntu как основную тоже недавно использую.
Возник такой вопрос - как относится к обновлениям ядра (разумеется речь идёт не о самостоятельной сборке, а тех обновлений, которые появляются в официальном репозитории).
У меня есть следующюй НЕгативный опыт:
1) Почти год назад на Ubuntu 7.04 обновления ядра привели к НЕзагружаемости ОС - насколько я помню новое ядро незахотело тогда загружаться ни в нормальном ни в рекавери режиме. Загружалось только старое ядро, и вроде бы работало нормально, заисключением кривого отображения процесса загрузки.
2) И вот сегодня - в репозитарии появилось обновление до 2.6.24-17. Долго мучался с дровами на видеокарту - сначала пробовал через EnvyNG, но там не очень новые были пакеты и у меня ВООБЩЕ не хотела включаться вертикальная синхронизация. Поэтому удалил его и поставил вручную свежий 8.5, благо установка самого модуля неслишком сложный процесс (если всё идёт по маслу ;-) ) http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide . После долгих мучений с зависаниями при включении / выключении монторов, с чёрным экраном после выключения всех мониторов, разными конфигурациями 2х мониторной системы я максимально приблизился к работоспособной конфигурации (не усраивает только глюки Compiz + OpenGL и синхронизация ТОЛЬКО по совершеннонепонятнымобразомжелезнопривязанности драйвера к паре ГЛАВНЫЙ - жк монитор + РАБ - ЭЛТ монитор и вертикальная синхронизация привязана к частоте ЖК монитора 60Гц а не как мне надо).

Вот это всё была лирика... а теперь проблема: после указанного обновления ядра модуль отказывается работать с 3Д ускорением. В логах /var/log/Xorg.0.log при загрузке DRI он пишет что-то вроде типа модуль для ядра либо плохой либо отсутствует.
У меня появилось предположение, что модуль надо пересобрать. Я повторил процедуру установки драйвера и все этапы прошли успешно, но ничего не изменилось. В скриптах вроде указано, что папки с исходниками ядра он берёт динамически, а значит должен был использовать "новые" исходники.
Разумеется, загрузка со старым ядром работает нормально.

Система есть в подписи, но на всякий случай - Ubuntu 8.04 AMD64.

В чём загвоздка? Спасибо!
« Последнее редактирование: 27 Май 2008, 22:41:55 от kirich »
Phenom II X2 550 / 8GB RAM / RadeOn 3870 512MB / ASUS Xonar D2X
2x Acer 21.5" hand-make stereoscopic mirror system
sView (stereoscopic viewer) author OS: Ubuntu AMD64 10.04

Оффлайн tazhate

  • Активист
  • *
  • Сообщений: 864
  • kunilinux
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #1 : 05 Июнь 2008, 05:50:00 »
вот люди странные  :D
установи все, настрой фраера и живи, зачем обновления гигами тянуть?)
lenovo thinkpad x1, gentoo ~amd64, awesome wm
asrock 330, atom 330, nvidia ion, 4gb ram, gentoo ~amd64, awesome wm
htc desire z, virtuos rom

Оффлайн pirun

  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #2 : 05 Июнь 2008, 11:20:53 »
Ядро обновилось уже до 24.18
Если есть желание утановить ATi драйвер как надо - сделайте в точности что я скажу ниже,
Главное - ставить надо не 8,5 а 8,4 - качаете от сюда для 32 разрядной  http://ati.amd.com/support/drivers/linux/previous/linux-rf-cat84.html
Почему - потому что 8,5 на ядре 24,17 не работал как надо, уверен и на 24,18 он не заработает,
Инструкцию используйте эту http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide
Метод  2
Вместо строки
sudo sh ati-driver-installer-8-5-x86.x86_64.run --buildpkg Ubuntu/8.04
используйте
sudo sh ./ati-driver-installer-8-4-x86.x86_64.run --buildpkg Ubuntu --autopkg

Вместо
sudo dpkg -i xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493*.deb fglrx-amdcccle_8.493*.deb
использоваь
sudo dpkg -i xorg-driver-fglrx_8.476*.deb fglrx-kernel-source_8.476-0*.deb fglrx-amdcccle_8.476-0*.deb

Это для 64 битной поэтому не надо копировать ниже приведённые 2 строчки
sudo apt-get install -f
sudo dpkg -i --force-overwrite xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493-0*.deb fglrx-amdcccle_8.493-0*.deb

Далее если не сработает строка
sudo gedit /etc/X11/xorg.conf
Заменить на
sudo nano /etc/X11/xorg.conf

В nano - правка , вставить , F2 . Y для сохранния , N - без сохранения,

Строка
sudo aticonfig --initial -f
может сразу не сработать
Жмём Ctrl + Alt + BacSpace произойдёт перезагрузка иксов
вводим
sudo aticonfig --initial -f

вводим
fglrxinfo

должно быть
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3870
OpenGL version string: 2.1.7415 Release
 
Добавлю - драйвер лучше качайте или перемещайте в папку /home/ваша учётная запись, т,к терминал по умолчанию работает из этой папки,

Очень советую ставить на чистую и обновлённую систему, т,к  у Вас может не получиться корректно всё удалить, поэтому не описываю эти действия,  Для того чтобы не переставлять каждый раз систему лучше пользоваться програмкой Ping http://www.kubuntu.ru/node/981,
« Последнее редактирование: 05 Июнь 2008, 11:33:30 от pirun »

Оффлайн kirich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #3 : 05 Июнь 2008, 13:21:50 »
Цитировать
вот люди странные  Cheesy
установи все, настрой фраера и живи, зачем обновления гигами тянуть?)

Это только кажется так, что обновления бесполезны... Хотя впринципе, по changelog'у последних обновлений ядра эти изменения никак не должны отразится на моей машине.  Поэтому я и не особо парился, когда в grub'e выбирал "старое" ядро для загрузки.

Ядро обновилось уже до 24.18
Ну пока тут знающие люди доходят до форума, может быть и следующая Ubuntu вышла бы :D (не в обиду)
...
Если есть желание утановить ATi драйвер как надо - сделайте в точности что я скажу ниже,
Главное - ставить надо не 8,5 а 8,4 - качаете от сюда для 32 разрядной  http://ati.amd.com/support/drivers/linux/previous/linux-rf-cat84.html
Почему - потому что 8,5 на ядре 24,17 не работал как надо, уверен и на 24,18 он не заработает,
Инструкцию используйте эту http://wiki.cchtml.com/index.php/Ubuntu_Hardy_Installation_Guide
Метод  2
Вместо строки
sudo sh ati-driver-installer-8-5-x86.x86_64.run --buildpkg Ubuntu/8.04
используйте
sudo sh ./ati-driver-installer-8-4-x86.x86_64.run --buildpkg Ubuntu --autopkg
...

Спасибо большое за такой подробный ответ, правда единственное что я из него выцепил - это строчка
sudo sh ./ati-driver-installer-8-4-x86.x86_64.run --buildpkg Ubuntu --autopkg
могу только предположить, что в отличие от --buildpkg Ubuntu/8.04, --autopkg делает модуль для нужной версии ядра ;-).
Удалил сначала все установленные deb'ы, но они не хотели нормально удалятся и при установке новых ругался на то, что такой модуль ядра уже прописан (не знаю тот ли или старый - не проверял) -> выполнил:
sudo dkms remove -m fglrx -v 8.493.1 --all
и потом заново установил свежесобранные пакеты, теперь уже без всяких ошибок, перезагрузился и всё ОК ;-).
Есть только пару вопросов:
1) до следующего обновления ядра (то бишь нужно пересобирать драйвер для каждой версии ядра и почему, ведь принципиальных изменений в новой версии не было)?
2) при установки очередного обновления ядра они не перетирают друг друга, как обычные пакеты, а складируются в сисеме; это конечно логично, учитывая возможные проблемы после обновления самой критичной части системы, но всё-таки - какой командой можно очистить систему от всех "старых" пакетов, привязанных к "старым" ядрам?

3)
Главное - ставить надо не 8,5 а 8,4 - качаете от сюда для 32 разрядной  http://ati.amd.com/support/drivers/linux/previous/linux-rf-cat84.html
Почему - потому что 8,5 на ядре 24,17 не работал как надо, уверен и на 24,18 он не заработает,
Можно как-нибудь более подробно описать, что именно работает "не так как надо"? Дабы знать мне да и другим форумчанам, где ждать подвоха...
Я пока поставил опять же 8.5 и никаких отличий от работы на ядре-в-комплекте-с-ubuntu-8.04 не заметил. Стоит ядро
$uname -a
Linux kirill-desktop 2.6.24-18-generic #1 SMP Wed May 28 19:28:38 UTC 2008 x86_64 GNU/Linux
Phenom II X2 550 / 8GB RAM / RadeOn 3870 512MB / ASUS Xonar D2X
2x Acer 21.5" hand-make stereoscopic mirror system
sView (stereoscopic viewer) author OS: Ubuntu AMD64 10.04

Оффлайн pirun

  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #4 : 05 Июнь 2008, 16:07:38 »
При установке дрйвера 8.4 - 3d игры  работают, при просмотре фильмов картинка радует глаз, при этом компиз работает со всеми эффектами (загибание страниц или пример во вложении), контрольный центр Catalist тоже работает, а у драйвера 8.5 компиз не полный, да и его надо отключать, иначе в фильмах подёргивания, это конкретные недостатки, дальше не лазил.
Понял у тебя версия получилась не OpenGL version string: 2.1.7415 Release, а наверно 2.1.76...
Напиши какая у тебя получилась версия: в терминале вводишь  fglrxinfo
И нормально ли работают выше перечисленные признаки.

А те строчки которые я ранее здесь скопировал они из инструкции для драйвера 8.4 , чтоб меня правильно поняли, и на сайте этой инструкции не найти.

А  это уже был мой небольшой танец с бубном:

Далее если не сработает строка
sudo gedit /etc/X11/xorg.conf
Заменить на
sudo nano /etc/X11/xorg.conf
 
По поводу обновления ядра: 24.17 и 24.18 ядра одинаково хорошо работают с Catalist 8.4
А как хорошо работает Catalist 8.5 с ядром 24.18 надеюсь Вы поделитесь информацией.
« Последнее редактирование: 05 Июнь 2008, 17:37:55 от pirun »

Оффлайн kirich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #5 : 05 Июнь 2008, 23:38:02 »
"Неполный компиз" - это интересное но непонятное объяснение... Насколько я знаю моргание изображения в OpenGL-открытых окошках это проблема любых текущих драйвером AMD/ATi, и наблюдается у большинства людей, за исключением некоторых везунчиков... Да и выглядят такие окна явно некорректно - у NVIDIA драйверов OpenGL-окошки "изгибаются" как и другие окошки, а у AMD/ATi - нет. Очевидно, они ещё не занимались реализацией этой штуки "по-нормальному".
Грустно конечно, но ничего не поделаешь.
Поскольку у меня постоянно включен вход с TV-тюнера на втором мониторе, то компизом мне приходится не пользоваться...

Что касается компиза без 3Д открытых приложений - то у меня работают все спецэффекты, которые включены в пакете "hollywood got nothing".
OpenGL окно, открытое на полный экран НЕ мограет с компизом, если оно в фокусе.
Что касается видео, то поскольку у VLC врождённый паралич на OpenGL как минимум последние полтора года что я его впервые увидел (причём как под Windows, так и под Linux - сплошные глюки или тупо не открывается), то включен вывод XVideo, и, как ни странно, картинка очень похожа на OpenGL-ную (да и симптомы теже ;-) - моргание при включенном компизе) и качество полностью устраивает :D
Что касается игр, то у меня их маловато стоит. Doom3 летает на полную, без каких-либо артефактов. Только звук объёмный не фурычит.

Цитировать
Далее если не сработает строка
sudo gedit /etc/X11/xorg.conf
Заменить на
sudo nano /etc/X11/xorg.conf
Ну это скорее для новичков. Я всегда mc ставлю и без X-ов редактирую через mcedit.

$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon HD 3870
OpenGL version string: 2.1.7537 Release
Если кому то интересно... Хотя какой от этой информации толк?
Phenom II X2 550 / 8GB RAM / RadeOn 3870 512MB / ASUS Xonar D2X
2x Acer 21.5" hand-make stereoscopic mirror system
sView (stereoscopic viewer) author OS: Ubuntu AMD64 10.04

Оффлайн kirich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #6 : 06 Июнь 2008, 01:46:58 »
Кстати об играх, может речь идёт об играх под wine???
У меня нет никакого положительного опыта по их запуску, кроме разве что пару простеньких OpenGL игрушек и WarCraft II, Worms2.
Mafia - зависает при запуске (тщетно мучает жёсткий диск, на экране-окошке белеберда), SettlersII (ремейк) - вылетает даже не подумав ничего, GRID demo библиотеки не хватает...
Phenom II X2 550 / 8GB RAM / RadeOn 3870 512MB / ASUS Xonar D2X
2x Acer 21.5" hand-make stereoscopic mirror system
sView (stereoscopic viewer) author OS: Ubuntu AMD64 10.04

Оффлайн tazhate

  • Активист
  • *
  • Сообщений: 864
  • kunilinux
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #7 : 06 Июнь 2008, 01:48:52 »
для игр лучше юзать cedega и ещё пакет в нете есть playonlinux очень хоррошие отзывы о нем.
а нативно вайн разве что для блокнота годится.
lenovo thinkpad x1, gentoo ~amd64, awesome wm
asrock 330, atom 330, nvidia ion, 4gb ram, gentoo ~amd64, awesome wm
htc desire z, virtuos rom

Оффлайн pirun

  • Новичок
  • *
  • Сообщений: 18
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #8 : 06 Июнь 2008, 08:27:37 »
"Неполный компиз" - это интересное но непонятное объяснение...- у NVIDIA драйверов OpenGL-окошки "изгибаются" как и другие окошки, а у AMD/ATi - нет. Очевидно, они ещё не занимались реализацией этой штуки "по-нормальному".
На Catalist 8.4  окошки загибаются (см. вложения), а 8.5 - нет, похоже инсталятор не правильный, в нём ещё мигания с компизом, а 8.4 не мигает.

Оффлайн kirich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #9 : 06 Июнь 2008, 19:25:32 »
"Неполный компиз" - это интересное но непонятное объяснение...- у NVIDIA драйверов OpenGL-окошки "изгибаются" как и другие окошки, а у AMD/ATi - нет. Очевидно, они ещё не занимались реализацией этой штуки "по-нормальному".
На Catalist 8.4  окошки загибаются (см. вложения), а 8.5 - нет, похоже инсталятор не правильный, в нём ещё мигания с компизом, а 8.4 не мигает.

Ну окошки у меня всегда загибались... А насчёт кривости инсталлятора - то это больше к 8.4 относится, чем к 8.5, хотя у обоих есть глупые ошибки в скриптах.
Чисто из любопытства попробовал поставить 8.4, но ничего не получилось - вылезает ошибка при установке. На http://www.phoronix.com/forums/showthread.php?t=9035&page=6 и http://ubuntuforums.org/showthread.php?t=757298 есть кусочки информации о том, как исправить deb-пакет (а точнее скрипты preinst и postrm) из-за которых установка и удаления самого главного пакета обваливается с любыми опциями установки/удаления.
Но там инструкция какая-то обрезанная и мне не удалось собрать заново пакет. Распаковал его, поменял скрипты и ни в какую:

$ dpkg -b xorg-driver-fglrx_8.476-0ubuntu1_amd64 xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb
dpkg-deb: сборка пакета xorg-driver-fglrx в файл xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb.
dpkg-deb: файл конфигурации `/etc/init.d/atieventsd' в пакете отсутствует
$ ls -la xorg-driver-fglrx_8.476-0ubuntu1_amd64/DEBIAN
total 52
drwxr-xr-x 4 kirill kirill 4096 2008-06-06 14:54 .
drwxr-xr-x 3 kirill kirill 4096 2008-06-06 14:54 ..
-r--r--r-- 1 kirill kirill  338 2008-06-06 14:35 conffiles
-r--r--r-- 1 kirill kirill 1173 2008-06-06 14:35 control
drwxr-xr-x 7 kirill kirill 4096 2008-06-06 14:35 etc
-r--r--r-- 1 kirill kirill 5912 2008-06-06 14:35 md5sums
-r-xr-xr-x 1 kirill kirill  327 2008-06-06 14:35 postinst
-rwxr-xr-x 1 kirill kirill 2227 2008-06-06 14:22 postrm
-rwxr-xr-x 1 kirill kirill 2624 2008-06-06 14:22 preinst
-r-xr-xr-x 1 kirill kirill  278 2008-06-06 14:35 prerm
-r--r--r-- 1 kirill kirill  164 2008-06-06 14:35 shlibs
drwxr-xr-x 7 kirill kirill 4096 2008-06-06 14:35 usr
смею заверить, что '/etc/init.d/atieventsd' есть там, но не уверен, что "там где надо".
Если у кого есть опыт - напишите плиз, просто интересно... Впринципе, если обновлять до 8.6, то врядли проблема будет (если конечно в 8.6 не будет ошибка при установке), но вот удалить по нормальному 8.5 не получается из-за кривого скрипта при удалении (на установке всё идёт нормально).

P.S.: 2pirun, речь разумеется идёт о x86_64 системе, против вашего опыта на x86 системе.
Phenom II X2 550 / 8GB RAM / RadeOn 3870 512MB / ASUS Xonar D2X
2x Acer 21.5" hand-make stereoscopic mirror system
sView (stereoscopic viewer) author OS: Ubuntu AMD64 10.04

Оффлайн Fliker-09

  • Активист
  • *
  • Сообщений: 338
  • Linux rocks and KDE too!
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #10 : 07 Июнь 2008, 00:06:06 »
для игр лучше юзать cedega и ещё пакет в нете есть playonlinux очень хоррошие отзывы о нем.
а нативно вайн разве что для блокнота годится.
- playonlinux как раз и использует вайн ;). И седега тоже не всегда лучше ибо вайн динамичнее в развитии ;).

Оффлайн Ramirez

  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #11 : 07 Июнь 2008, 17:28:32 »
У меня такая проблема:
хотел установить драйвера ATI версии 8.5. Выполнил в терминале:
1) sudo apt-get update
2) sudo apt-get install build-essential fakeroot dh-make debhelper debconf libstdc++5 dkms linux-headers-$(uname -r)
3) sudo sh ati-driver-installer-8-5-x86.x86_64.run --buildpkg Ubuntu/8.04
При выполнении команды номер 3 выдаёт вот что:
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Ubuntu/8.04
Resolving build dependencies...
./packages/Ubuntu/ati-packager.sh: 311: sh -c '/usr/sbin/synaptic --set-selections --non-interactive --hide-main-window < /tmp/file8YeFe6': not found
Unable to resolve  ia32-libs.  Please manually install and try again.
Removing temporary directory: fglrx-install.Ab6360

Что делать? У меня Ubuntu 8.04, amd64, ati x800. EnvNG позволяет установить только драйверы версии 8.3. Обновить драйвера хочу потому, что в Quake3 экран подёргивается, и ещё постоянно вылетает из полноэкранного режима в оконный.

Оффлайн kirich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #12 : 07 Июнь 2008, 17:40:55 »
У меня такая проблема:
Unable to resolve  ia32-libs.  Please manually install and try again.
Ну насколько мне видно, он ругается на ia32-libs. Если пакет не установлен, попробуй установить его (он необходим):
sudo apt-get install ia32-libsВообще 32битные библиотеки, как оказывается достаточно скоро, сегодня очень нужная вещь и не только для установки драйвера для видеокарты...
Phenom II X2 550 / 8GB RAM / RadeOn 3870 512MB / ASUS Xonar D2X
2x Acer 21.5" hand-make stereoscopic mirror system
sView (stereoscopic viewer) author OS: Ubuntu AMD64 10.04

Оффлайн Ramirez

  • Новичок
  • *
  • Сообщений: 8
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #13 : 07 Июнь 2008, 19:23:39 »
Цитировать
Ну насколько мне видно, он ругается на ia32-libs. Если пакет не установлен, попробуй установить его (он необходим)
Установил. Пакеты сформировались:
Package /home/user/xorg-driver-fglrx_8.493.1-0ubuntu1_amd64.deb has been successfully generated
Package /home/user/xorg-driver-fglrx-dev_8.493.1-0ubuntu1_amd64.deb has been successfully generated
Package /home/user/fglrx-kernel-source_8.493.1-0ubuntu1_amd64.deb has been successfully generated
Package /home/user/fglrx-amdcccle_8.493.1-0ubuntu1_amd64.deb has been successfully generated

Теперь, при выполнении:
sudo dpkg -i xorg-driver-fglrx_8.493.1-0ubuntu1_amd64.debвыдаёт сообщение:
Подготовка к замене пакета xorg-driver-fglrx 1:7.1.0-8-3+2.6.24.13-18.41 (используется файл xorg-driver-fglrx_8.493.1-0ubuntu1_amd64.deb)...
 * Stopping atieventsd                                                   [ OK ]
Распаковывается замена для пакета xorg-driver-fglrx ...
Подготовка к замене пакета fglrx-kernel-source 1:8-3+2.6.24.13-18.41 (используется файл fglrx-kernel-source_8.493.1-0ubuntu1_amd64.deb)...
Распаковывается замена для пакета fglrx-kernel-source ...

dpkg: чтобы можно было установить пакет fglrx-amdcccle, необходимо удалить fglrx-control...
dpkg: нет, невозможно продолжить с удаление fglrx-control (вам поможет --auto-deconfigure):
 fglrx-amdcccle зависит от fglrx-control
  пакет fglrx-control будет удалён.
dpkg: относительно fglrx-amdcccle_8.493.1-0ubuntu1_amd64.deb, содержащего fglrx-amdcccle:
 fglrx-amdcccle конфликтует с fglrx-control
  fglrx-control (version 1:8-3+2.6.24.13-18.41) is present and установлен.
dpkg: не удалось обработать параметр fglrx-amdcccle_8.493.1-0ubuntu1_amd64.deb (--install):
 конфликт пакетов -- fglrx-amdcccle не будет установлен
Настраивается пакет xorg-driver-fglrx (2:8.493.1-0ubuntu1) ...
Устанавливается новая версия файла конфигурации /etc/ati/signature ...
Устанавливается новая версия файла конфигурации /etc/ati/atiogl.xml ...
Устанавливается новая версия файла конфигурации /etc/ati/amdpcsdb.default ...
Устанавливается новая версия файла конфигурации /etc/ati/control ...
Устанавливается новая версия файла конфигурации /etc/ati/authatieventsd.sh ...
 * Starting atieventsd  /usr/sbin/atieventsd: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
                                                                         [fail]

Настраивается пакет fglrx-kernel-source (2:8.493.1-0ubuntu1) ...
Adding Module to DKMS build system
Doing initial module build
Installing initial module
Done.

При обработке следующих пакетов произошли ошибки:
 fglrx-amdcccle_8.493.1-0ubuntu1_amd64.deb

Оффлайн kirich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 39
    • Просмотр профиля
Re: AMD/ATi драйвера и обновления ядра
« Ответ #14 : 07 Июнь 2008, 19:35:28 »
* Starting atieventsd  /usr/sbin/atieventsd: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
В руководстве написано (на английском wiki), что перед установкой надо (один единственный раз) пробросить линк на эту библиотеку:
sudo ln -s /usr/lib/libGL.so.1.2 /usr/lib/libGL.so.1Что касается в целом процесса установки, то вроде всё гладко кроме пакета fglrx-amdcccle для визуальной настройки от AMD/ATi - непонятно ставится она или нет. А вот почему она ошибки показывает - ясно. Стоит "старый" пакет fglrx-control, который ставит EnvyNG и который конфликтует с утсанавливаемым.
Попробуйте его удалить перед установкой:
sudo apt-get remove fglrx-controlИ если будут ошибки удаления, то посмотрим не стоит ли у вас ещё чего лишнего ;-)
В любом случае fglrx-amdcccle не нужен для запуска драйвера, а только для его графической настройки. Точнее говоря, скорее всего, если не удалить fglrx-control у вас ОН и останется - то есть старые графические настройки (их немного меньше)
Phenom II X2 550 / 8GB RAM / RadeOn 3870 512MB / ASUS Xonar D2X
2x Acer 21.5" hand-make stereoscopic mirror system
sView (stereoscopic viewer) author OS: Ubuntu AMD64 10.04

 

Страница сгенерирована за 0.063 секунд. Запросов: 22.